Subject: cancer/honey

From: Sacha <[email-masked]>
Date: Wed, 05 Jun 1996 13:25:54 +1508

My dentist has just told me that the surgeon operating on aural 
cancers here slaps pure honey straight from his own bees onto 
operating wounds with amazingly good results as to speed and 
cleanliness of healing.  Does anyone else have any information on 
this?  This surgeon is also a believer in not using treatment on 
varroa affected hives, but in letting the bees build up a natural 
immunity or crossing them with other varroa resistant strains.  Any 
comments on either subject?  Thank you.  Sacha